- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage message service
- /
- Get the list of email templates
¶ Get the list of email templates
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the list of email templates
¶ Method Name
ManagementClient.getEmailTemplates
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetEmailTemplatesRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetEmailTemplatesTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
GetEmailTemplatesRespDto response = client.getEmailTemplates();
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: GetEmailTemplatesRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | GetEmailTemplatesDataDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"templates": {
"customizeEnabled": true,
"type": "WELCOME_EMAIL",
"name": "Welcome Email",
"subject": "Welcome to {{app_name}}",
"sender": "{{client_name}}",
"content": "xxx",
"expiresIn": 300,
"redirectTo": "https://example.com",
"tplEngine": "handlebar"
},
"categories": {
"title": "Notification Template",
"titleEn": "Notification Template",
"desc": "Support the content of the Welcome Email and First-Created Account Notification",
"descEn": "We support the content of the Welcome Email and First-Created Account Notification"
}
}
}
¶ Data Structure
¶ GetEmailTemplatesDataDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| templates | array | yes | Template list Nested Type: EmailTemplateDto. | |
| categories | array | yes | Template type list Nested Type: EmailTemplateCategoryDto. |
¶ EmailTemplateDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| customizeEnabled | boolean | yes | Enable custom templates | true |
| type | string | yes | Template type: - WELCOME_EMAIL: Welcome email- FIRST_CREATED_USER: First user creation notification- REGISTER_VERIFY_CODE: Registration verification code- LOGIN_VERIFY_CODE: Login verification code- MFA_VERIFY_CODE: MFA verification code- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code- FIRST_EMAIL_LOGIN_VERIFY: First email login verification- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console- USER_PASSWORD_UPDATE_REMIND: User expiration reminder- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Administrator successfully resets user password notification- USER_PASSWORD_RESET_NOTIFICATION: User password successfully reset notification- RESET_PASSWORD_VERIFY_CODE: Reset password verification code- SELF_UNLOCKING_VERIFY_CODE: Self-service unlocking verification code- EMAIL_BIND_VERIFY_CODE: Binding email verification code- EMAIL_UNBIND_VERIFY_CODE: Unbinding email verification code | WELCOME_EMAIL |
| name | string | Yes | Email templateName | Welcome email |
| subject | string | Yes | Email subject | Welcome to |
| sender | string | Yes | Email senderName | |
| content | string | yes | Email content template | xxx |
| expiresIn | number | No | Validity period of verification code/email. Only verification emails have validity period. | 300 |
| redirectTo | string | No | The address to jump to after completing email verification. Only valid for templates of type FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY. | https://example.com |
| tplEngine | string | No | Template rendering engine. GenAuth email template currently supports two rendering engines: - handlebar: For detailed usage, please see: handlebars official documentation (opens new window)- ejs: For detailed usage, please see: ejs official documentation (opens new window)By default, handlerbar will be used as the template rendering engine. | handlebar |
¶ EmailTemplateCategoryDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| title | string | Yes | Category Name | Notification Template |
| titleEn | string | Yes | Category English Name | Notification Template |
| desc | string | Yes | Description | Supports the content of the welcome email and the first user creation notification |
| descEn | string | Yes | English description | We support the content of the Welcome Email and First-Created Account Notification |
